[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: PHP4 + Oracle



On Tue, Aug 27, 2002 at 06:16:19PM +0100, Rob Bradford wrote:
> On Tue, 2002-08-27 at 11:56, Sobkowiak Krzysztof wrote:
> > Hallo
> > 
> > I need to use oracle with php4 on Debian? How can I do it? Could
> > somebody [help me] build php4-oracle package?
> > Thanks

> Can you not use ODBC and the libphp-adodb package?

> Furthermore i'm interested as to why there are two packages called
> libphp-adodb and libphp-phplot. Which seems to break with the php4-
> naming scheme that the majority or packages used. Hence i have CC'ed the
> maintainers. Of course there is merit in maintaining upstream namers,
> but inconsistency isnt half confusing :(

I believe the 'php4' prefix is specific to packages that are derived from
the php4 source package; AFAIK, most of the PHP-related packages that
come from other sources do not share this prefix.

I would prefer not to see package names encode the version information of
*other* packages.  libphp-adodb seems quite reasonable to me.

As for using ODBC with Oracle, does Oracle ship an ODBC driver for Linux?

Steve Langasek
postmodern programmer

Attachment: pgp589N4Plm6k.pgp
Description: PGP signature


Reply to: